# Name

HPL_pnum Rank determination.

# Synopsis

`#include "hpl.h"`
`int` `HPL_pnum(` `const HPL_T_grid *` `GRID`, `const int` `MYROW`, `const int` `MYCOL` `);`

# Description

HPL_pnum determines the rank of a process as a function of its coordinates in the grid.

# Arguments

    GRID    (local input)                 const HPL_T_grid *
            On entry,  GRID  points  to the data structure containing the
            process grid information.

    MYROW   (local input)                 const int
            On entry,  MYROW  specifies the row coordinate of the process
            whose rank is to be determined. MYROW must be greater than or
            equal to zero and less than NPROW.

    MYCOL   (local input)                 const int
            On entry,  MYCOL  specifies  the  column  coordinate  of  the
            process whose rank is to be determined. MYCOL must be greater
            than or equal to zero and less than NPCOL.

# See Also

HPL_grid_init, HPL_grid_info, HPL_grid_exit.